<?php
/**
 * Author: Florian Kofler
 * Date: 11/10/15
 */
class HttpRequest extends CHttpRequest
{
    public function decodePathInfo($pathInfo)
    {
        // urldecode removes '+' character in String
        // because of that, we have to add it again at the end
        // otherwise the requested content would be returned as plain text
        preg_match("/(\++)$/", $pathInfo, $matches);
        preg_match("/(%20)$/", $pathInfo, $matches2);
                
        $pathInfo = urldecode($pathInfo);
        if (!empty($matches)) {
            $pathInfo = trim($pathInfo) . $matches[1];
        }
        if (!empty($matches2)) {
            $pathInfo = trim($pathInfo) . $matches2[1];
        }
        // is it UTF-8?
        // http://w3.org/International/questions/qa-forms-utf-8.html
        if(preg_match('%^(?:
           [\x09\x0A\x0D\x20-\x7E]            # ASCII
         | [\xC2-\xDF][\x80-\xBF]             # non-overlong 2-byte
         | \xE0[\xA0-\xBF][\x80-\xBF]         # excluding overlongs
         | [\xE1-\xEC\xEE\xEF][\x80-\xBF]{2}  # straight 3-byte
         | \xED[\x80-\x9F][\x80-\xBF]         # excluding surrogates
         | \xF0[\x90-\xBF][\x80-\xBF]{2}      # planes 1-3
         | [\xF1-\xF3][\x80-\xBF]{3}          # planes 4-15
         | \xF4[\x80-\x8F][\x80-\xBF]{2}      # plane 16
        )*$%xs', $pathInfo))
        {
            return $pathInfo;
        }
        else
        {
            return utf8_encode($pathInfo);
        }
    }
}