<?php

class m120516_141158_user_personalisation extends CDbMigration
{
    public function safeUp()
    {
        $this->createTable('{{personalisation_attributes}}', array(
            'id' => 'pk',
            'parent_id' => 'integer',
            'name' => 'string NOT NULL',
            'title' => 'string NOT NULL',
            'path' => 'text NULL',
        ));
        $this->createIndex('personalisation_attributes_parent_id_idx', '{{personalisation_attributes}}', 'parent_id');

        $this->createTable('{{user_personalisation_attributes}}', array(
            'user_id' => 'integer NOT NULL',
            'personalisation_attribute_id' => 'integer NOT NULL',
        ));

       $this->execute('ALTER TABLE {{user_personalisation_attributes}} ADD PRIMARY KEY (user_id, personalisation_attribute_id)');

    }

    public function safeDown()
    {
        $this->dropTable('{{personalisation_attributes}}');
        $this->dropTable('{{user_personalisation_attributes}}');
    }

    /*
     // Use safeUp/safeDown to do migration with transaction
     public function safeUp()
     {
     }

     public function safeDown()
     {
     }
     */
}