<?php
/**
 * Gentics Portal.Node PHP
 * Author & Copyright (c) by Gentics Software GmbH
 * sales@gentics.com
 * http://www.gentics.com
 * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
 * You must not use this software without a valid license agreement.
 *
 */

?>
<section class="comments-form-widget respond" id="comments-form-<?php echo $this->contentId?>">
    <h6 class="section-title"><?php echo CommentsModule::t('Leave a Comment')?></h6>
    <?php echo CHtml::link('', '#', array('name' => $this->contentId, 'class' => 'anchor')) ?>
    <?php if ($message = Yii::app()->user->getFlash('commentCreateError' . $this->contentId)) { ?>
    <div class="infobox">
        <div class="flash-error">
            <?php echo $message?>
        </div>
    </div>
    <?php } ?>

    <?php if ($message = Yii::app()->user->getFlash('commentCreateSuccess' . $this->contentId)) { ?>
    <div class="infobox">
        <div class="flash-success">
            <?php echo $message?>
        </div>
    </div>
    <?php }?>

    <?php $form = $this->beginWidget('CActiveForm', array(
    'id' => 'comments-form',
    'action' => Yii::app()->createUrl('/comments/comment/create', array('return_url' => Yii::app()->request->getRequestUri() . '#' . $this->contentId)),
    'htmlOptions' => array('class' => 'comment-form')
))
    ?>

    <?php echo $form->errorSummary($model); ?>

    <?php echo CHtml::hiddenField('key', $this->hash) ?>
    <?php echo $form->hiddenField($model, 'parent_id') ?>

    <div class="input-block comment-form-reply" style="display: none;">
        <?php echo CHtml::label(CommentsModule::t('Reply to'), 'reply'); ?>
        <?php echo CHtml::textField('reply', '', array('readonly' => true)) ?>

        <div class="comment-form-reply-cancel">
            <?php echo CHtml::link(CommentsModule::t('Cancel'), 'javascript:void(0)')?>
        </div>
    </div>

    <?php if (Yii::app()->user->isGuest): ?>
    <p class="input-block">
        <?php echo $form->labelEx($model, 'firstname'); ?>
        <?php echo $form->textField($model, 'firstname', array('type' => 'text')) ?>
        <?php echo $form->error($model, 'firstname'); ?>
    </p>

    <p class="input-block">
        <?php echo $form->labelEx($model, 'lastname'); ?>
        <?php echo $form->textField($model, 'lastname', array('type' => 'text')) ?>
        <?php echo $form->error($model, 'lastname'); ?>
    </p>

    <p class="input-block">
        <?php echo $form->labelEx($model, 'email'); ?>
        <?php echo $form->textField($model, 'email', array('type' => 'email')) ?>
        <?php echo $form->error($model, 'email'); ?>
    </p>
    <?php else: ?>
    <p class="input-block">
        <span><?php echo CommentsModule::t('Name')?></span>
        <span><?php echo CHtml::encode($model->firstname) . " " . CHtml::encode($model->lastname)?></span>
        <?php echo $form->hiddenField($model, 'firstname') ?>
        <?php echo $form->hiddenField($model, 'lastname') ?>
    </p>
    <p class="input-block">
        <span><?php echo $model->getAttributeLabel('email')?></span>
        <span><?php echo "{$model->email}"?></span>
        <?php echo $form->hiddenField($model, 'email') ?>
    </p>
    <?php endif?>

    <p class="input-block">
        <?php echo $form->labelEx($model, 'subject'); ?>
        <?php echo $form->textField($model, 'subject') ?>
        <?php echo $form->error($model, 'subject'); ?>
    </p>

    <p class="textarea-block">
        <?php echo $form->labelEx($model, 'description'); ?>
        <?php echo $form->textArea($model, 'description', array('cols' => 88, 'rows' => 6)) ?>
    </p>

    <p class="input-block">
        <?php echo $form->labelEx($model, 'notify_user', array('class' => 'email-copy-label')); ?>
        <?php echo $form->checkBox($model, 'notify_user') ?>
        <?php echo $form->error($model, 'notify_user'); ?>
    </p>

    <?php if (!$this->isPreview): ?>
    <p class="input-block">
        <?php $this->widget('CCaptcha', array('captchaAction' => '/comments/comment/captcha')); ?>
        <?php echo $form->labelEx($model, 'verifyCode'); ?>
        <?php echo $form->textField($model, 'verifyCode') ?>
        <?php echo $form->error($model, 'verifyCode'); ?>
    </p>
    <?php endif?>

    <?php echo !$this->isPreview ? CHtml::submitButton(CommentsModule::t('Submit')) : CHtml::button(CommentsModule::t('Submit'))?>
    <div class="clear"></div>
    <?php $this->endWidget() ?>

</section>