<?php
/**
 * Class for tracking faces in pictures and tagging users.
 *
 * @author Lisa Frech <lisa.frech@gentics.com>
 *
 *
 */
class ImageTrackerWidget extends BaseWidget
{
    /**
     * @var string id of page
     */
    public $pageId;

    /**
     * @var string id of tag
     * Same image can have different dimensions when used in multiple image tracker tags. 
     * Ensures that the correct coordinates for image dimension is found in database table.
     */
    public $tagId;

    /**
     * @var array with img properties url, width, height, id, alt
     */
    public $img;

    /**
     * Method initializes the widget.
     */
    public function init()
    {
        parent::init();

        $assetsUrl = Yii::app()->getModule('imagetracker')->getAssetsUrl();
        Yii::app()->clientScript->registerCssFile($assetsUrl . '/css/imagetracker.css');

        if(Yii::app()->getModule('imagetracker')->includeJQueryUI){
            Yii::app()->clientScript->registerCssFile($assetsUrl . '/css/jquery-ui.css');
            Yii::app()->clientScript->registerScriptFile($assetsUrl . '/js/jquery-1.10.2.min.js', CClientScript::POS_HEAD);
            Yii::app()->clientScript->registerScriptFile($assetsUrl . '/js/jquery-ui.min.js', CClientScript::POS_END);
        }

         Yii::app()->clientScript->registerScriptFile($assetsUrl . '/js/jquery.facedetection.min.js', CClientScript::POS_HEAD);
         Yii::app()->clientScript->registerScriptFile($assetsUrl . '/js/imagetracker.js', CClientScript::POS_HEAD);
    }

    /**
     * Method renders view when widget is executed
     */
    public function run(){
        $this->render('ImageTrackerWidget');
    }
   
}


