<?php
    /**
     * Gentics Portal.Node PHP
     * Author & Copyright (c) by Gentics Software GmbH
     * sales@gentics.com
     * http://www.gentics.com
     * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
     * You must not use this software without a valid license agreement.
     *
     * Comment controller class file.
     *
     * @author Vitalii Kovalchuk <vitaly.kovalchuk@oberig.com>
     */

class SearchResultWidget extends BaseJuiWidget
{
    /**
     * search phrase
     * @var string
     */
    public $phrase = '';

    /**
     * Search result. Contains result of search that has to be displayed
     * @var array
     */
    public $searchResult = '';

    /**
     * How many results should be skipped. Used fot pagination
     * @var string
     */
    public $offset = 0;

    /**
     * status of search (ok|error)
     * @var string
     */
    public $status = 'ok';

    /**
     * total matches found, exlc. status
     * @var int
     */
    public $totalQty = 0;

    /**
     * how many results show per page
     * @var int
     */
    public $perPage = 20;

    /**
     * Base href for current page
     * @var int
     */
    public $baseHref = '';

    /**
     * @var bool $usePersonalisation defines if personalisation should be performed
     */
    public $usePersonalisation = true;

    public $pageNumber;

    public $existsMore = false;

    /**
     * Overrided search url
     *
     * @public string
     **/
    public $searchUrl;

    /**
     * Widget run method.
     *
     * @return void
     */
    public function run()
    {
        $this->phrase = Yii::app()->request->getQuery('searchTerm', '');
        $this->offset = (int)Yii::app()->request->getQuery('offset', 0);
        $this->pageNumber = (int)Yii::app()->request->getQuery('page', 1);

        if (trim($this->phrase)!='') {
            $searchAdaptor = new SearchAdaptor(
                $this->phrase,
                isset($_GET['advanced']) ? $_GET : array(),
                $this->usePersonalisation
            );
            if(!empty($this->searchUrl)) {
                $searchAdaptor->searchApi->searchUrl = $this->searchUrl;
            }
            $searchAdaptor->pageNumber = $this->pageNumber;
            $searchAdaptor->pageSize = Yii::app()->getModule('search')->perPage;
            $this->searchResult = $searchAdaptor->fetchNext();
            $this->existsMore = $searchAdaptor->existsMore();

//            if (isset($_GET['advanced'])) {
//                $this->searchResult = $searchApi->advancedSearch($this->phrase, $_GET, $this->usePersonalisation);
//            } else {
//                $this->searchResult = $searchApi->simpleSearch($this->phrase, $this->usePersonalisation);
//            }

//            $this->status = $this->searchResult['status'];
//            unset($this->searchResult['status']);

//
//            $this->totalQty = count($this->searchResult);
//            $this->perPage = Yii::app()->getModule('search')->perPage;


            /*  check if offet is in range of results quantity */
//            if ($this->offset>=count($this->searchResult)V || $this->offset<0) {
//                $this->offset = 0;
//            }

            /* calculating pagination */
//            $this->searchResult = array_slice($this->searchResult, $this->offset, $this->perPage);

            $this->render('SearchResultWidget');
        }
    }


    /**
     * Create pagination urls
     *
     * @return string
     */
    public function paginationUrl($pageNumber)
    {
        $url = AppHelper::removeParamsFromUrl(Yii::app()->request->requestUri, array('page'));
        if($pageNumber > 1) {
            $url = AppHelper::addParamsToUrl($url, array('page' => $pageNumber));
        }
        return $url;
    }
}

?>
