

<?php
    /**
     * Gentics Portal.Node PHP
     * Author & Copyright (c) by Gentics Software GmbH
     * sales@gentics.com
     * http://www.gentics.com
     * Licenses can be found in the LICENSE.txt file in the root-folder of this installation
     * You must not use this software without a valid license agreement.
     *
     */
?>
<?php echo CHtml::beginForm(Yii::app()->CreateUrl($landingPage.'#searchResults'), 'get') ?>
<div class="advanced-search">
    <?php echo SearchModule::t('Search for');?>:
    <?php echo CHtml::textField('searchTerm', Yii::app()->request->getQuery('searchTerm', ''), array('class'=>$this->uniqClassName));?>
    <?php echo CHtml::hiddenField('advanced', 1);?>
    <?php echo CHtml::submitButton(SearchModule::t('Search'), array('name'=>"sub"));?>

    <div class="advanced-search-params-block">
        <?php if ($this->config['mimetype']['showOnAdvancedSearchForm']) { ?>
    <div class="search-block">
        <span class="advanced-search-name">
            <?php echo SearchModule::t('Mimetype'); ?>
        </span>
            <span class="advanced-search-param">
                <?php echo CHtml::dropDownList('mimetype', Yii::app()->request->getQuery('mimetype', 'all'), $this->config['mimetype']['options']);?>
            </span>
    </div>
        <?php } ?>

        <?php if ($this->config['whereToSearch']['showOnAdvancedSearchForm'] && !empty($this->config['whereToSearch']['options'])) { ?>
    <div class="search-block">
        <span class="advanced-search-name">
            <?php echo SearchModule::t('Where to search'); ?>
        </span>
            <span class="advanced-search-param">
                <?php echo CHtml::dropDownList('whereToSearch', Yii::app()->request->getQuery('whereToSearch', 'all'), $this->config['whereToSearch']['options']);?>
            </span>
    </div>
        <?php } ?>

        <?php if ($this->config['searchType']['showOnAdvancedSearchForm'] && !empty($this->config['searchType']['options'])) { ?>
    <div class="search-block">
        <span class="advanced-search-name">
        <?php echo SearchModule::t('Search Type'); ?>
        </span>
            <span class="advanced-search-param">
                <?php echo CHtml::dropDownList('searchType', Yii::app()->request->getQuery('searchType', 'all'), $this->config['searchType']['options']);?>
            </span>
        </div>
    <?php } ?>

        <?php if ($this->config['urlLimiter']['showOnAdvancedSearchForm'] && !empty($this->config['urlLimiter']['options'])) { ?>
        <div class="advanced-search-param">
            <?php echo CHtml::dropDownList('urlLimiter', Yii::app()->request->getQuery('urlLimiter', 'all'), $this->config['urlLimiter']['options']);?>
        </div>
        <?php } ?>
    </div>
</div>
<?php echo CHtml::endForm() ?>
<?php
    if ($this->useAutosuggest) {
        ?>
    <script type="text/javascript">
        $(document).ready(function(){
            searchAutocomplete({
                el:$('.<?php echo $this->uniqClassName;?>'),
                url:'<?php echo Yii::app()->createUrl('search/search/autosuggest', array('autosuggestUrl' => $this->secureAutosuggestUrl));?>'
            });
        });
    </script>
    <?php
    }
?>