<?php

/**
 * This widget is union of PoolWidget and ResultWidget
 * If you wanna that pool and reslults of pool placed on the same page it will be usefull to use this widget.
 * 
 *
 **/
class VoteWidget extends BaseWidget
{

    /**
     * Unique question identification string
     *
     * @var string
     **/
    public $id;

    /**
     * Id of author of the question
     *
     * @var string
     **/
    public $author_id;
    /**
     * Question
     *
     * @var string
     **/
    public $question;

    /**
     * Array of answers with options.
     * Format: 'key1' => array(
     *               array(
     *               'order' => 1, //optional
     *               'text' => 'Yes I do',
     *              ),
     *          'key2' => array(
     *               'order' => 2, //optional
     *               'text' => 'No I dont',
     *              )
     *           )
     *
     * @var array
     **/
    public $answers;
    
    /**
     * If allowed to selectmultiply answers
     *
     * @var boolean
     **/
    public $multiply = false;

    /**
     * If single-answer-selection: don’t display a “save”-button; save on click on answer
     *
     * @var boolean
     **/
    public $dynamic;

    /**
     * Defines if anonymous answers can be given
     *
     * @var boolean
     **/
    public $allowAnonymous;

    /**
     * Array of variables and values, that should be added to the form and saved with the given answer
     *
     * @var array
     **/
    public $additionalFields = array();

    /**
     * Submit form via ajax
     *
     * @public string
     **/
    public $ajax;

    /**
     * If display statistics in percents
     *
     * @public bool
     **/
    public $inPercents = false;

    /**
     * Precision when display votes in percents
     *
     * @public string
     **/
    public $precision = 1;

    /**
     * If show results for user which havent vote(by checking session)
     *
     * @public boolean
     **/
    public $resultsUnvotedShow = false;

    /**
     * If show poll for user which have voted(by checking session)
     *
     * @public boolean
     **/
    public $poolVotedShow = false;
    /**
     * Precision when result displays above vote form
     *
     * @public string
     **/
    public $firstResult = false;
    /**
     * In the Init function it checks does the question exists in the database, and if it does not
     * exist so creates question and answers records in the db.
     *
     **/
    public function Init(){
        
        $oQuestion = Question::model()->findByPk($this->id);
        if (!isset($oQuestion)) {
            $oQuestion = new Question();
            $oQuestion->id = $this->id;
            $oQuestion->author_id = $this->author_id;
            $oQuestion->text = $this->question;
            if ($oQuestion->save()) {
                $iterator = 1;
                foreach ($this->answers as $key => $ans) {
                    $oAnswer = new Answer();
                    $oAnswer->question_id = $this->id;
                    $oAnswer->answer_key  = $key;
                    $oAnswer->order = isset($ans['order'])? $ans['order'] : $iterator;
                    $oAnswer->text  = $ans['text'];
                    $oAnswer->save();
                    $iterator += 1;
                }
            }
        }
        return parent::Init();
    }
    public function run()
    {
        $this->render('VoteWidget');
    }

    public function getIsVoted()
    {
        return Yii::app()->user->getState('vote-voted-'.$this->id) === true;
    }
}
