<?php
$isVoted = Yii::app()->getModule('vote')->isUserVoted($this->id);

?>
<div class="vote-widgets-pool-widget">
    <?php if(Yii::app()->getModule('vote')->debug): ?>
    <div>Debug info:</div>
    <div>Multiply answers: <?php echo $this->multiply ? 'true' : 'false' ?></div>
    <div>Dynamic submit: <?php echo $this->dynamic ? 'true' : 'false' ?></div>
    <div>Allow anonymous: <?php echo $this->allowAnonymous ? 'true' : 'false' ?></div>
    <div>Ajax submit: <?php echo $this->ajax ? 'true' : 'false' ?></div>
    <br/>
    <?php endif; ?>
    <?php echo CHtml::beginForm('/vote/pool/submit#ask-block-'.$this->id, 'post', array('id'=>'pool-widget-form-'.$this->id)) ?>
        <div class="error" style="display:none"><?php echo VoteModule::t('Please select answer') ?></div>
        <script type="text/javascript" charset="utf-8">
            jQuery(function(){
                 var isVoted = '<?php echo $isVoted?>'; 
                 var ajaxSubmit =  '<?php echo $this->ajax ?>';
                 var $form = jQuery('#pool-widget-form-<?php echo $this->id?>');   
                 var $error = $form.find('.error');   
                 var $submit = $form.find('input[type="submit"]');   
                 var $isVoted = $form.find('.is-voted'); 
                 var $resultsLink = $form.find('.results-link');
                 var resultsUrl = '<?php echo Yii::app()->createUrl('/vote/pool/voteResults', array('options' => $this->getSecureResultOptions())) ?>';
                 //handle form submission
                 $form.submit(function(){
                    console.log('Form validation');
                    //correct input validation
                    if($form.find('input:checked').length > 0){
                        //submit via ajax if in options
                        if (ajaxSubmit === '1') {
                            console.log('ajax submitting');
                            $.post($form.attr('action'), $form.serialize(), function(){
                               $submit.remove();
                               setHaveVoted();
                               $($form).closest('.ask_block').find('.firstResultControl').hide();
                            });
                            return false;
                        }
                        return true;
                    }
                    $error.show();
                    return false;
                 });
                 
                 <?php if($this->dynamic && !$this->multiply): ?>
                 $submit.hide();
                 $form.find('input[type="radio"]').click(function(){
                     $submit.click();     
                 });
                 <?php endif ?>

                 function setHaveVoted() {
                    $isVoted.show();
                    $resultsLink.show();
                    $form.find('input[type="checkbox"], input[type="radio"]').attr('disabled', '1');
                    $form.load(resultsUrl);
                 }
                 if(isVoted === '1') {
                    setHaveVoted();
                 }
            });
        </script>
        <div class="question">
            <?php echo $question->text ?>
            <?php echo CHtml::hiddenField('question', $question->id) ?>
        </div>
        <div class="answers">    
            <?php if($this->multiply): ?>
                <?php echo CHtml::checkBoxList('answer', null, $answers) ?>
            <?php else: ?>
                <?php echo CHtml::radioButtonList('answer', null, $answers) ?>
            <?php endif ?>
        </div>    
        <?php if(!$isVoted): ?> 
            <?php if(!$this->allowAnonymous && Yii::app()->user->isGuest): ?>
                <?php echo CHtml::link(VoteModule::t('Login to vote'), AppHelper::addParamsToUrl(Yii::app()->getModule('vote')->loginUrl, array('return_url'=>Yii::app()->request->requestUri))) ?>
            <?php else: ?>
                <?php foreach($this->additionalFields as $fieldName => $fieldValue): ?>
                    <?php echo CHtml::hiddenField("additionalFields[" . $fieldName . "]", $fieldValue) ?>
                <?php endforeach?>
                <?php if($this->forwardTo): ?>
                    <?php echo CHtml::hiddenField('forwardTo', $this->forwardTo) ?>
                <?php endif?>
                <?php echo CHtml::submitButton(VoteModule::t('Vote')) ?>
            <?php endif ?>
        <?php endif ?>
        <div class="is-voted" <?php echo !$isVoted ? 'style="display:none"' : ''?> >
            <?php echo VoteModule::t('You have voted') ?>
        </div>
        <?php if(!empty($this->resultsLink)): ?>
        <div class="results-link" <?php echo  $this->showResultsLink || $isVoted ? '' : 'style="display:none"' ?>>
            <?php echo CHtml::link(VoteModule::t('Results'), $this->resultsLink) ?>
        </div>
        <?php endif ?>
    <?php echo CHtml::endForm(); ?>
</div>